Loading...
Searching...
No Matches
BALL::UhligCavFreeEnergyProcessor::Option Struct Reference

`#include <BALL/SOLVATION/uhligCavFreeEnergyProcessor.h>`

## Static Public Attributes

static const char * | VERBOSITY
static const char * | PROBE_RADIUS
static const char * | SURFACE_TENSION
static const char * | CONSTANT

## Detailed Description

Symbolic names for option keys. This struct contains a symbolic name for each recognized key in UhligCavFreeEnergyProcessor::options.

Definition at line 40 of file uhligCavFreeEnergyProcessor.h.

## Member Data Documentation

## CONSTANT

const char* BALL::UhligCavFreeEnergyProcessor::Option::CONSTANT

static

The additive constant. This option represents an adjustable constant added to the term. Use float values of unit with this option.

See also
  Default::CONSTANT

Parameters

  constant | float;

Definition at line 74 of file uhligCavFreeEnergyProcessor.h.

## PROBE_RADIUS

const char* BALL::UhligCavFreeEnergyProcessor::Option::PROBE_RADIUS

static

The probe radius. This option defines the hard sphere solvent radius needed for the calculation of the cavitation free energy according to the scaled particle theory. Use float values of unit $ A $ with this option.

See also
  Default::PROBE_RADIUS

Parameters

  probe_radius | float;

Definition at line 56 of file uhligCavFreeEnergyProcessor.h.

## SURFACE_TENSION

const char* BALL::UhligCavFreeEnergyProcessor::Option::SURFACE_TENSION

static

The surface tension. This option sets the surface tension needed for the calculation of the cavitation free energy. Use float values of unit with this option.

See also
  Default::SURFACE_TENSION

Parameters

  surface_tension | float;

Definition at line 65 of file uhligCavFreeEnergyProcessor.h.

## VERBOSITY

const char* BALL::UhligCavFreeEnergyProcessor::Option::VERBOSITY

static

The verbosity level. Use integer values with this option.

See also
  Default::VERBOSITY

Parameters

  verbosity | integer

Definition at line 47 of file uhligCavFreeEnergyProcessor.h.